[Plone-IT] provincie-comuni e multiselezione

Luca Fabbri luca a keul.it
Ven 13 Apr 2012 11:51:12 UTC


2012/4/12 Paolo Tramontani <trapa a softone.it>:
> Ciao a tutti,
>
> intanto ringrazio per le risposte che mi sono state molto utili.
>
> Poi vorrei chiedervi se qualcuno ha già affrontato un problema come quello
> che ho io in questo momento o se mi sapete dare un suggerimento
> “plonistico”.
>
>
>
> Nel mio tipo di contenuto custom, messo su con archetype, tra gli altri
> attributi ce n’è uno che è, appunto, il comune. Ma è in multi selezione.
>
> Tipo: il professionista (questo è il tipo di contenuto) deve indicare in
> quali comuni opera.
>
> L’idea è di offrire la possibilità di impostare prima la provincia in modo
> da popolare un combo più ristretta dei comuni e poi consentire la scelta del
> comune. Il comune dovrà però aggiungersi a quelli già scelti in precedenza.
>
>
>
> Qualcuno sa se c’è un widget che fa qualcosa che gli assomiglia?
>
> Servirebbe qualcosa di simile al referenceBrowserWidget che sarebbe
> perfetto, ma opera attingendo dai contenuti Plone… ho visto anche un
> jidTreeVocabularyWidget
> (http://plone.org/products/jidtreevocabularywidget/releases/0.9) ma viene
> dichiarato compatibili con Plone 3 (io sono sulla 4) e non ci sono versioni
> stabili…
>
> Oppure un inAndOut con la possibilità però di mettere un tree sulla
> sinistra…
>
>
>
> Tutti i consigli sono ben accetti
>

Non ho ben capito cosa intendi per "plonesco", ad ogni modo...

Nessuno ti vieta di usare vocabolari la cui sorgente fa ricerche nel
catalogo Plone (evitando così l'uso dei referencewidget, etc, che sono
molto scomodi). Puoi anche provare ATVocabuaryManager, che ha un
supporto per i TreeVocabulary (anche se l'effetto finale poi è
semplicemente mostrare un widget di selezione con elementi del tipo
"master1 - slave1", "master1 - slave2", ...).

Se vuoi invece ottenere l'effetto del "seleziono la provincia, poi il
comune", puoi usare MasterSelectWidget.

PS: non farti spaventare da componenti che dicono di essere
compatibili solo con Plone 3. Magari semplicemente funziona, ma non
sono più stati aggiornati"!

-- 
-- luca

twitter: http://twitter.com/keul
linkedin: http://linkedin.com/in/lucafbb
blog: http://blog.keul.it/


Maggiori informazioni sulla lista Plone-IT